## ide-unsaved-file ide-unsaved-file |

## Functions

IdeUnsavedFile * | ide_unsaved_file_ref ()
void | ide_unsaved_file_unref ()
GBytes * | ide_unsaved_file_get_content ()
GFile * | ide_unsaved_file_get_file ()
gint64 | ide_unsaved_file_get_sequence ()
const gchar * | ide_unsaved_file_get_temp_path ()
gboolean | ide_unsaved_file_persist ()

## Description

## Functions

### ide_unsaved_file_ref ()

    IdeUnsavedFile *
    ide_unsaved_file_ref (IdeUnsavedFile *self);

### ide_unsaved_file_unref ()

    void
    ide_unsaved_file_unref (IdeUnsavedFile *self);

### ide_unsaved_file_get_content ()

    GBytes *
    ide_unsaved_file_get_content (IdeUnsavedFile *self);

Gets the contents of the unsaved file.

#### Parameters

self | A IdeUnsavedFile. |

#### Returns

A GBytes containing the unsaved file content.

[transfer none]

### ide_unsaved_file_get_file ()

    GFile *
    ide_unsaved_file_get_file (IdeUnsavedFile *self);

Retrieves the underlying file represented by `self` .

#### Returns

A GFile.

[transfer none]

### ide_unsaved_file_get_sequence ()

    gint64
    ide_unsaved_file_get_sequence (IdeUnsavedFile *self);

### ide_unsaved_file_get_temp_path ()

    const gchar *
    ide_unsaved_file_get_temp_path (IdeUnsavedFile *self);

### ide_unsaved_file_persist ()

    gboolean
    ide_unsaved_file_persist (IdeUnsavedFile *self,
                              GCancellable *cancellable,
                              GError **error);

## Types and Values